Subject: Re: [RFC/PATCH 1/4] submodules: implement synchronizing of remotes.

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 9 Apr 2015 13:57:16 +0200

On Wed, Apr 08, 2015 at 08:46:28AM -0700, Junio C Hamano wrote:
> On Wed, Apr 8, 2015 at 3:58 AM, Patrick Steinhardt <[email-masked]> wrote:
> > Previously it was not possible to specify custom remotes for
> > submodules. This feature has now been implemented and can be
> 
> I am not going to say whether it makes sense to add this feature or not,
> but I'll just react to "Previously".
> 
> Let's stop saying "Previously we couldn't do X, now we can".
> 
> Instead, let's consistently say "We don't do X. Being able to do X is a
> good thing for such and such reasons. Make us capable of doing X by
> doing this and that."
> 
> Some people even say "Currently we cannot do X. Teach us to do so",
> which is equally bad but that is primarily because some people say
> "Previously" and they feel the need to clarify which reality they are
> talking about. Once we stop saying "Previously", they will stop saying
> "Currently", and the world would be a better place ;-).
> 
> Thanks.

Points taken, I'll reword the message if there is any interest in
the proposed feature. ;)

Patrick